#ifndef _SYSTEM_HPP_
#define _SYSTEM_HPP_

#include "connect.hpp"
#include "modules.hpp"


class System
{
    Modules *mods;
    Connections *conns;

public:
    System(void);
    void add_mentor(std::ifstream lines);
};

#endif // _SYSTEM_HPP_